edu.sc.seis.sod.subsetter.request

## Class RequestNOT

- java.lang.Object
- - edu.sc.seis.sod.subsetter.LogicalSubsetter
  - - edu.sc.seis.sod.subsetter.request.RequestLogical
    - - edu.sc.seis.sod.subsetter.request.RequestNOT

- All Implemented Interfaces:
    SodElement, RequestSubsetter, Subsetter

      public final class RequestNOT
      extends RequestLogical
      implements RequestSubsetter

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.subsetter.request.RequestLogical

      `packages`

    - ### Fields inherited from class edu.sc.seis.sod.subsetter.LogicalSubsetter

      `filterList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestNOT(org.w3c.dom.Element config)` Creates a new `RequestSubsetterNOT` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringTree` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.network.ChannelImpl channel, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original, CookieJar cookieJar)`

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.request.RequestLogical

      `createSubsetter, getPackages, getSubsetter`

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.LogicalSubsetter

      `getSubsetters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestNOT

          public RequestNOT(org.w3c.dom.Element config)
                     throws ConfigurationException

      Creates a new `RequestSubsetterNOT` instance.
      Parameters:
        `config` - an `Element` value
      Throws:
        `ConfigurationException` - if an error occurs

  - ### Method Detail

    - #### accept

          public StringTree accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                   edu.iris.Fissures.network.ChannelImpl channel,
                                   edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original,
                                   CookieJar cookieJar)
                            throws java.lang.Exception

      Specified by:
        `accept` in interface `RequestSubsetter`
      Throws:
        `java.lang.Exception`